QGIS Application - Bug report #19383
QGIS Server WMS GetFeaturelnfo requests parameter TOLERANCE=0 not working
2018-07-10 06:07 PM - Gerald Kogler

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: QGIS Server

Affected QGIS version:3.2 Regression?: No
Operating System: linux ubuntu 16.04 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27211
Description

Adding FI_LINE_TOLERANCE=0&FI_POINT_TOLERANCE=0&FI_POLYGON_TOLERANCE=0 doesn't limit the tolerance to 0 pixels
as expected, it gives back all features.

Actually calling GetFeaturelnfo without this parameters seems to define a default tolerance of 0.

Setting higher values, like FI_LINE_ TOLERANCE=1&FI_POINT_TOLERANCE=1&FI_POLYGON_TOLERANCE=1 seems to work as
expected.

Associated revisions

Revision 2c¢5d1¢54 - 2018-10-15 10:30 AM - Paul Blottiere

Fixes #19383 - Tolerance fixed in GetFeaturelnfo for points

Revision e10736ae - 2018-10-16 07:12 PM - René-Luc ReLuc

Merge pull request #8199 from pblottiere/server_getfeatureinfo_tolerance

[bugdfix] Fixes #19383 - GetFeaturelnfo tolerance

History

#1 - 2018-10-15 02:35 PM - Paul Blottiere
- Assignee set to Paul Blottiere

#2 - 2018-10-16 07:11 PM - Paul Blottiere
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|2c5d1c548b95345290deaf02ef64925d7834da0c.
